// Passive event listeners
jQuery.event.special.touchstart = {
    setup: function( _, ns, handle ) {
        this.addEventListener("touchstart", handle, { passive: !ns.includes("noPreventDefault") });
    }
};
jQuery.event.special.touchmove = {
    setup: function( _, ns, handle ) {
        this.addEventListener("touchmove", handle, { passive: !ns.includes("noPreventDefault") });
    }
};

jQuery(document).ready(function () {

    jQuery('.slider__slides').slick({
        arrows: false,
        dots: true,
    });

    jQuery('.testimonials__list').slick({
        dots: true,
        appendArrows: jQuery('.testimonials__arrows'),
        prevArrow: jQuery('.testimonials__arrows .arrow--left'),
        nextArrow: jQuery('.testimonials__arrows .arrow--right'),
        slidesToShow: 3,
        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    slidesToShow: 2,
                }
            },
            {
                breakpoint: 800,
                settings: {
                    slidesToShow: 1,
                }
            },
        ]
    });

    jQuery('.gallery__wrapper').slick({
        arrows: false,
        slidesToShow: 3,
        centerMode: true,
        centerPadding: '100px',
        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    centerPadding: '50px',
                }
            },
            {
                breakpoint: 700,
                settings: {
                    slidesToShow: 1,
                }
            },
            {
                breakpoint: 450,
                settings: {
                    slidesToShow: 1,
                    centerPadding: '30px',
                }
            },
        ]
    });

    jQuery('.node--recovery .wellness__images').slick({
        arrows: false,
        dots: true,
    });

    OrphansAndWidows('p');

    jQuery('.nav-icon').click(function () {
        jQuery(this).toggleClass('open');
        jQuery('.main-menu > ul').slideToggle(200);
    });

    jQuery('.menu__item.expanded').click(function () {
        jQuery('.menu--lvl-1', this).slideToggle(200);
    });

    AOS.init();
});

jQuery(window).scroll(function(){
    const fromTop = jQuery(document).scrollTop();
    if (fromTop > 100) {
        jQuery('header').addClass('scroll');
    } else {
        jQuery('header').removeClass('scroll');
    }
});

function OrphansAndWidows(container) {
    const content = jQuery(container);
    for (var i = 0; i < content.length; i++) {
        var tekst = content[i].innerHTML;
        //tekst = tekst.replace(/(\s)([^<][\S]{2})[\s]+/g,"$1$2&nbsp;"); //trzyznakowe
        tekst = tekst.replace(/(\s)([^<][\S]{1})[\s]+/g, "$1$2&nbsp;"); //dwuznakowe
        tekst = tekst.replace(/(\s)([\S])[\s]+/g, "$1$2&nbsp;"); //jednoznakowe
        content[i].innerHTML = tekst;
    }

}
